Summary:	RCS - version control system
Summary(de.UTF-8):	RCS - Versionssteuersystem
Summary(es.UTF-8):	RCS - sistema de control de versiones
Summary(fr.UTF-8):	RCS - Système de contrôle de version
Summary(pl.UTF-8):	RCS - system kontroli wersji
Summary(pt_BR.UTF-8):	RCS - sistema de controle de versões
Summary(tr.UTF-8):	Sürüm denetleme sistemi
Name:		rcs
Version:	5.9.4
Release:	2
License:	GPL v3+
Group:		Development/Version Control
Source0:	http://ftp.gnu.org/gnu/rcs/%{name}-%{version}.tar.xz
# Source0-md5:	ab57933fb214384e69664ec1c81775fc
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	ba094b833436afc14ac1679a78e50da5
Patch0:		%{name}-debian.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-move-exiting-to-beginning-of-func-decl.patch
URL:		https://www.cs.purdue.edu/homes/trinkle/RCS/
BuildRequires:	groff
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Revision Control System (RCS) manages multiple revisions of files.
RCS automates the storing, retrieval, logging, identification, and
merging of revisions. RCS is useful for text that is revised
frequently, for example programs, documentation, graphics, papers, and
form letters.

%description -l de.UTF-8
Das Revision Control Syste (RCS) verwaltet mehrere Dateirevisionen. Es
automatisiert das Abspeichern, das Einlesen, das Aufzeichnen, die
Erkennung und das Zusammenführen von Revisionen. RCS ist praktisch für
Texte, die häufig revidiert werden, etwa Programme, Dokumentation,
Graphiken, Artikel und Formulare.

%description -l es.UTF-8
Sistema de Control de Revisión (RCS) administra múltiples revisiones
de archivos. RCS automatiza el almacenamiento, recuperación, registro,
identificación y la fusión de revisiones. Es útil para textos se
revisan frecuentemente, como programas, documentación, gráficos y
formularios de cartas.

%description -l fr.UTF-8
Le système de contrôle de révision (RCS) gère les nombreuses révisions
des fichiers. RCS automatise le stockage, la récupération,
l'identification et le mélange des révisions. RCS sert aux textes
révisés fréquemment, par exemple les "programmes, la documentation,
les graphiques, les articles et les lettres.

%description -l pl.UTF-8
Revision Control System (RCS) - w wolnym tłumaczeniu system kontroli
wersji umożliwia zarządzanie wieloma wersjami plików. Za pomocą RCS
można w prosty sposób automatyzować składowanie, wyciąganie, logowanie
z archiwum jak i łączenie dokumentów różnych wersji. RCS jest wygodny
do zarządzania dokumentów często zmienianych jak kod źródłowy
programów, dokumentacja, grafika czy listy.

%description -l pt_BR.UTF-8
O Sistema de Controle de Revisão (RCS) administra múltiplas revisões
de arquivos. RCS automatiza o armazenamento, recuperação, registro,
identificação e a fusão de revisões. RCS é útil para texto que é
revisado freqüentemente, como programas, documentação, gráficos e
formulários de cartas.

%description -l tr.UTF-8
Sürüm denetim sistemi (Revision Control System - RCS) bir dosyanın
birden fazla sürümünü denetlemek için kullanılır. RCS dosya üzerindeki
değişikliklerin tutulmasını, saklanmasını, kayıtlarının tutulması
işlerini kolaylaştırır. Üzerinde sıkça değişiklik yapılan program
kodları, belgeler ve makaleler için son derece yararlı bir araçtır.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
	--with-mailer=/usr/lib/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/*/man1/rcsfreeze.1*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.rcs-non-english-man-pages

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/ci
%attr(755,root,root) %{_bindir}/co
%attr(755,root,root) %{_bindir}/ident
%attr(755,root,root) %{_bindir}/merge
%attr(755,root,root) %{_bindir}/rcs
%attr(755,root,root) %{_bindir}/rcsclean
%attr(755,root,root) %{_bindir}/rcsdiff
%attr(755,root,root) %{_bindir}/rcsmerge
%attr(755,root,root) %{_bindir}/rlog
%{_mandir}/man1/ci.1*
%{_mandir}/man1/co.1*
%{_mandir}/man1/ident.1*
%{_mandir}/man1/merge.1*
%{_mandir}/man1/rcs.1*
%{_mandir}/man1/rcsclean.1*
%{_mandir}/man1/rcsdiff.1*
%{_mandir}/man1/rcsmerge.1*
%{_mandir}/man1/rlog.1*
%{_mandir}/man5/rcsfile.5*
%lang(fi) %{_mandir}/fi/man[15]/*
%lang(ja) %{_mandir}/ja/man[15]/*
%lang(pl) %{_mandir}/pl/man[15]/*
%{_infodir}/rcs.info*
%changelog
* Fri Jul 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rcs.git;a=log;h=master

* Fri Jul 29 2016 Jakub Bogusz <qboosh@pld-linux.org> fdfb677
- added move-exiting-to-beginning-of-func-decl patch from rcs ml (fixes build in C11 mode)
- release 2

* Thu Jul 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 1074a11
- updated to 5.9.4

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 06dbe57
- x32 rebuild
- release 2 (by relup.sh)

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> deb6e1a
- updated to 5.9.3

* Fri Nov 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 7567671
- updated to 5.9.2

* Sat Oct 12 2013 Kacper Kornet <draenog@pld-linux.org> c36c41f
- updated to 5.9.1

* Thu Jul 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 10e93a7
- updated to 5.9.0

* Sat Apr 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 8bdd09a
- updated to 5.8.2

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 68e40f8
- updated to 5.8.1
- added info patch

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 34969e7
- updated to 5.8 (GPL v3+ now)
- removed obsolete stupidrcs,DESTDIR,security patches
- only few hunks left from debian patch

* Sun May 16 2010 sparky <sparky@pld-linux.org> 77a23b9
- BR: groff

* Sun May 16 2010 Jakub Bogusz <qboosh@pld-linux.org> c0d6ed6
- GPL version
- more docs, more verbose files

* Tue Nov 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 18845c6
- fixes from debian; handle commitid keyword

* Tue Nov 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f0387ce
- patch from debian; handle commitid in rcs

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 04a9743
- rel 21

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 23e70f9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5c89929
- converted to UTF-8

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 41e7d70
- release 20

* Sun Dec 14 2003 twittner <twittner@pld-linux.org> 585dbe6
- Release 19 for Ac. STBR.

* Mon Sep 15 2003 ankry <ankry@pld-linux.org> 4640fc6
- removed ^M's; thanks to Pawel Nogas

